package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum EPersonalServiceType {

    /**
     * 更改个人信息、更改国籍、调整网络、删除订单
     */
    /**
     * 更改个人信息
     */
    UPDATE_INFO(1, "更改个人信息", 0, EnumsPrefixConstants.PERSONAL_TYPE + "1"),

    /**
     * 更改国籍
     */
    UPDATE_COUNTRY(2, "更改国籍", 0, EnumsPrefixConstants.PERSONAL_TYPE + "2"),
    /**
     * 调整网络
     */
    UPDATE_NETWORK(3, "调整网络", 0, EnumsPrefixConstants.PERSONAL_TYPE + "3"),

    /**
     * 删除订单
     */
    REMOVE_ORDER(4, "删除订单", 0, EnumsPrefixConstants.PERSONAL_TYPE + "4");


    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

    /**
     * 根据值获取枚举
     *
     * @param value
     * @return
     */
    public static EPersonalServiceType getEnumByValue(int value) {
        for (EPersonalServiceType enums : EPersonalServiceType.values()) {
            if (enums.getValue() == value) {
                return enums;
            }
        }
        return null;
    }
}
